none
.net framework 3.5 SP1 installation problems on Windows 7 x64

    Question

  • Hi everyone. 
    I'm having a big trouble installing .net framework 3.5 SP1 on my Windows 7 Professional (x64) OS.
    I've tried to install it but only thing it says is 'installation error' at the end of installation.  Strangely, it doesn't even give me an error code.
    I thought it could be having problem with previous versions of .net framework so I tried to varify this with the tool I've found on MSDN, and I only realized I couldn't verify any of .net framework product on my OS.  (neither of 2.0 3.0 or 3.5)

    This doesn't really make sense because I've freshly installed Windows 7 a week ago and not letting me install the program. 
    I've tried by doing web installation and tried to download the whole package and install it but still no luck.

    plus, i am not even sure if this varification program really works.. I wiped out 1.0 and 1.1 using cleanup tool and reinstalled 1.1, and it's still saying it is not installed.  And it even says i have 2.0 3.0 and 3.5 installed.......which i wasn't able to do..  any thoughts?

    [10/22/09,14:46:50] Beginning of new SetupVerifier activity logging session
    [10/22/09,14:46:50] Activity log file location: C:\Users\Jin\AppData\Local\Temp\setupverifier_main_10-22-09_14.46.50.txt
    [10/22/09,14:46:50] Error log file location: C:\Users\Jin\AppData\Local\Temp\setupverifier_errors_10-22-09_14.46.50.txt
    [10/22/09,14:46:50] Build created on October 19, 2009
    [10/22/09,14:46:50] Detected operating system: Windows 7 (x64)
    [10/22/09,14:46:50] Install state for .NET Framework 1.0: not installed.
    [10/22/09,14:46:50] Install state for .NET Framework 1.1: not installed.
    [10/22/09,14:46:50] Install state for .NET Framework 2.0: installed with service pack 2.
    [10/22/09,14:46:50] Install state for .NET Framework 3.0: installed with service pack 2.
    [10/22/09,14:46:50] Install state for .NET Framework 3.5: installed with service pack 1.
    [10/22/09,14:46:50] Install state for .NET Framework 4 Client: not installed.
    [10/22/09,14:46:50] Install state for .NET Framework 4 Full: not installed.
    [10/22/09,14:46:50] Not adding product '.NET Framework 1.0' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 1.1' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 1.1 SP1' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 2.0' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 2.0 SP1' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 3.0' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 3.0 SP1' because it is not currently installed
    [10/22/09,14:46:50] Not adding product '.NET Framework 3.5' because it is not currently installed

    [10/22/09,15:01:25] Section [Registry GE - .NET Framework 3.5 SP1 (Wow6432Node)] - stop parsing entries
    [10/22/09,15:01:25] Section [Files - .NET Framework 3.0 SP1AndLater (Common)] - start parsing entries
    [10/22/09,15:01:25] File C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\v3.0\RedistList\FrameworkList.xml is installed on the system
    [10/22/09,15:01:25] Section [Files - .NET Framework 3.0 SP1AndLater (Common)] - stop parsing entries
    [10/22/09,15:01:25] Processing custom action 'Custom Action - .NET Framework 2.0 test application'
    [10/22/09,15:01:25] ExecutablePath = 'Netfx20TestApplication.exe'
    [10/22/09,15:01:25] FriendlyName = '.NET Framework 2.0 test application'
    [10/22/09,15:01:25] TimeoutSeconds = '300'
    [10/22/09,15:01:25] WaitOnExit = 'true'
    [10/22/09,15:01:25] Silent = 'true'
    [10/22/09,15:01:25] Launching process 'Netfx20TestApplication.exe' now
    [10/22/09,15:01:25] Process successfully launched. Waiting 300 seconds for it to complete.
    [10/22/09,15:01:26] Process 'Netfx20TestApplication.exe' exited with return code 0
    [10/22/09,15:01:26] ****ERROR**** Verification failed for product .NET Framework 3.5 SP1
    Thursday, October 22, 2009 8:15 PM

Answers

  • Hi JinnyBoy,

    Thank you for your post.

    For Windows 7, it includes the .NET Framework 3.5.1 as an OS component. This means you will get the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes. The feature of 3.0 SP2 and 3.5 SP1 can be added or removed via the Programs and Features control panel. Thus, we don't need to manually download .NET Framework 3.5 SP1 and install it on Windows 7. That's why your OS will not let you install it.

    Could you please try this Verification Tool to verify .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 on your machine?
    Please check "Current status" to know the result of verification - success or failed.
    If they fail to be verified, we need to repair them. If you need to repair the .NET Framework 3.5.1 on Windows 7, you will need to use instructions like the ones in this blog post. (Also applied for Windows 7)

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Friday, October 30, 2009 4:25 AM
    • Edited by YiChun Chen Thursday, December 24, 2009 4:11 AM typo
    Monday, October 26, 2009 6:57 AM

All replies

  • Hi JinnyBoy,

    Thank you for your post.

    For Windows 7, it includes the .NET Framework 3.5.1 as an OS component. This means you will get the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes. The feature of 3.0 SP2 and 3.5 SP1 can be added or removed via the Programs and Features control panel. Thus, we don't need to manually download .NET Framework 3.5 SP1 and install it on Windows 7. That's why your OS will not let you install it.

    Could you please try this Verification Tool to verify .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 on your machine?
    Please check "Current status" to know the result of verification - success or failed.
    If they fail to be verified, we need to repair them. If you need to repair the .NET Framework 3.5.1 on Windows 7, you will need to use instructions like the ones in this blog post. (Also applied for Windows 7)

    Hope this helps. If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Friday, October 30, 2009 4:25 AM
    • Edited by YiChun Chen Thursday, December 24, 2009 4:11 AM typo
    Monday, October 26, 2009 6:57 AM
  • Hello,

    I have the same problem. Recently I have upgraded to windows 7 home premium (64) from vista home premium (64). I have ran the Verification Tool to verify .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 all have been successful.

    So, i can go to Programs and Features in control panel and remove the .NET framework 3.5 Correct?

    This is because the framework is included in windows 7.
    Monday, December 14, 2009 5:38 PM
  • Is it possible to install .NET Framework 3.5 (without SP 1) on Windows 7? If so, how?

    Thanks,
    BU
    Monday, February 01, 2010 4:56 PM
  • I have a new install of Windows 7 64 Bit but looking at .net framework, only version 1.1 is there.  I was trying to install Quick Books, which requires 3.5 but it errors when trying to install it.  If 3.5 is included, why does it display as 1.1????
    Thursday, April 01, 2010 9:31 PM
  • Hi Swahull,

    As I mentioned above, .NET 3.5 with SP1 is shipped with Windows 7 as OS component. Thus, we cannot find it as a program in Programs and Features from Control Panel.

    Based on your description, I also have .NET 1.1 installed on your Windows 7.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Friday, April 02, 2010 5:35 AM
  • hi im trying to find out if i was to change net framework 4.0 64bit to 2.0 64bit will it damage programs or slow my laptop down. i dont really know much about net framework software. any info or advice would be so much helpful thanks

    Friday, July 02, 2010 9:21 PM
  • I had the same problem. Framework 3.5 was selected in Programs & Features. I just selected the WCF options underneath as well, rebooted when requested and went off installing office with succes!

     

     

     

     

     

    Greetings,

     

     

    Mike

     

     

     

    Monday, January 03, 2011 1:12 PM
  • Hi YiChun Chen

    I have Windows 7 x64 system (winver gives 6.1(Build 7600)  as Windows version). I am encountering the same trouble with SP1. 

    In the registry editor, based on the directions given at MS KB, i found that I have Windows .Net Framework 4 and 3.5. I checked the registry and found that i have .Net framework 4 full and client

    For .Net 3.5, this is what i found

    Name:Install Type:REG_DWORD  Data:1

    Name: SP Type:REG_DWORD      Data:0

    Clearly SP1 is absent

    I had also Turned ON the Windows features by checking the boxes - Microsoft Dot Net Framework 3.5.1 . I even checked the two boxes (Windows Comm Foundation HTTP Activation and non-HTTP activation) under that.  But still .Net Framework 3.5 SP1 is not getting installed.

    I am not sure how to fix this. Can anyone pls guide me on this. This is crucial as I need to run some PC check programs for which i need .Net 3.5 SP1

     

    Regards

     

    Govindarajan

    GIS Consultant

     

     

    Monday, February 07, 2011 11:31 AM
  • Hi YiChun Chen

    I have Windows 7 x64 system (winver gives 6.1(Build 7600)  as Windows version). I am encountering the same trouble with SP1. 

    In the registry editor, based on the directions given at MS KB, i found that I have Windows .Net Framework 4 and 3.5. I checked the registry and found that i have .Net framework 4 full and client

    For .Net 3.5, this is what i found

    Name:Install Type:REG_DWORD  Data:1

    Name: SP Type:REG_DWORD      Data:0

    Clearly SP1 is absent

    I had also Turned ON the Windows features by checking the boxes - Microsoft Dot Net Framework 3.5.1 . I even checked the two boxes (Windows Comm Foundation HTTP Activation and non-HTTP activation) under that.  But still .Net Framework 3.5 SP1 is not getting installed.

    Try http://blogs.msdn.com/b/astebner/archive/2010/05/13/10012778.aspx
    Gruß/greetings G. Born - Blogs: http://blog.borncity.com
    Friday, February 25, 2011 8:55 AM
  • hi,

    can you be more specific on how to get it from the windows features? how to make sure its installed and make it work?

    thanks, i appreciate any and all help you can offer!

    southern belle


    Thank You, Southern Belle

    Friday, May 25, 2012 4:24 PM
  • i don't see 2.0 in the features but i did see the 3.5 and checked both boxes should there be a 2.0 or will the 4.0 cover that?

    Thank You, Southern Belle

    Friday, May 25, 2012 4:28 PM